%global     debug_package %{nil}

Name:       dde
Version:    2022.1.4
Release:    1%{?dist}.05
Summary:    Deepin New Desktop Environment - Next
License:    GPLv3
URL:        https://github.com/linuxdeepin/dde

Source0:    %{url}/archive/%{version}/%{name}-%{version}.tar.gz

## 底层组件
Requires:   lightdm
Requires:   mesa-dri-drivers
Requires:   xorg-x11-server-Xorg
Requires:   librsvg2-tools
## DDE
Requires:   dde-control-center
Requires:   dde-daemon
Requires:   dde-dock
Requires:   dde-dock-onboard-plugin
Requires:   dde-launcher
#Requires:   dde-network-utils
Requires:   dde-network-core
Requires:   dde-polkit-agent
Requires:   dde-qt-dbus-factory
Requires:   dde-server-industry-config
Requires:   dde-session-shell
Requires:   dde-session-ui
Requires:   dde-account-faces
Requires:   deepin-default-settings
Requires:   deepin-desktop-schemas
Requires:   deepin-gettext-tools
Requires:   deepin-menu
Requires:   dtkcore
Requires:   dtkgui
Requires:   dtkwidget
Requires:   dde-qt5integration
Requires:   startdde
Requires:   uos-license-content
Requires:   dde-qt5xcb-plugin
Requires:   dde-api
Requires:   dpa-ext-gnomekeyring
Requires:   dtkcommon
Requires:   dde-dconfig-daemon
##  其他
Requires:   deepin-desktop-server
Requires:   deepin-icon-theme
Requires:   deepin-gtk-theme
Requires:   deepin-sound-theme
##  文管
Requires:   dde-desktop
Requires:   dde-file-manager
Requires:   dde-disk-mount-plugin
Requires:   deepin-wallpapers
Requires:   deepin-shortcut-viewer

##  窗管
Requires:   dde-kwin
##  应用
Requires:   deepin-system-monitor
Requires:   dde-calendar
Requires:   dde-clipboard
Requires:   dde-device-formatter
Requires:   deepin-calculator
Requires:   deepin-compressor
Requires:   deepin-devicemanager
Requires:   deepin-editor
Requires:   deepin-log-viewer
%ifnarch loongarch64
Requires:   deepin-manual
%endif
Requires:   deepin-reader
Requires:   deepin-screen-recorder
Requires:   deepin-screensaver
Requires:   deepin-terminal
Requires:   org.deepin.browser
Requires:   gparted
Requires:   deepin-boot-maker
##  输入法
Requires:   fcitx
Requires:   fcitx-qt5
Requires:   fcitx-pinyin
Requires:   fcitx-configtool
Requires:   fcitx-table-chinese
Requires:   deepin-fcitxconfigtool-plugin
Requires:   fcitx-sunpinyin
Requires:   fcitx-cloudpinyin
## 需求
# support exfat
Requires:   exfat-utils
Requires:   fuse-exfat
##  bugfix
##  fix messages error
Requires:   gnome-keyring
##  fix translation error
Requires:   qt5-qttranslations
Requires:   deepin-pw-check

%description
Deepin New Desktop Environment.

%prep
%setup -q -n %{name}-%{version}

%build
echo "build"

%install
mkdir -p %{buildroot}/etc/{rsyslog.d,logrotate.d}

install -Dm644 rpm/dde.conf %{buildroot}/etc/rsyslog.d/dde.conf
install -Dm644 rpm/dde %{buildroot}/etc/logrotate.d/dde

%post
systemctl mask suspend.target
systemctl mask hibernate.target
systemctl mask suspend-then-hibernate.target

%files
%{_sysconfdir}/rsyslog.d/dde.conf
%{_sysconfdir}/logrotate.d/dde

%changelog
* Wed Feb 01 2023 liweiganga <liweiganga@uniontech.com> - 2022.1.4-1.05
- spec: add dde-dconfig-daemon

* Mon Jan 16 2023 liweiganga <liweiganga@uniontech.com> - 2022.1.4-1.04
- spec: add dde-network-core

* Tue Oct 11 2022 liweiganga <liweiganga@uniontech.com> - 2022.1.4-1.03
- fix: fix bug#157465

* Thu Jun 23 2022 liweiganga <liweiganga@uniontech.com> - 2022.1.4-1.02
- fix: loongarch64 not RE deepin-manual

* Tue Jun 14 2022 uoser <uoser@uniontech.com> - 2022.1.4-1.01
- update to 2022.1.4-1.01

